#ifndef HAL_INTS_H
#define HAL_INTS_H

#define HAL_INTERRUPT_NONE    -1

#define HAL_INTERRUPT_WD      0
#define HAL_INTERRUPT_SOFT    1
#define HAL_INTERRUPT_DCC_RX  2
#define HAL_INTERRUPT_DCC_TX  3
#define HAL_INTERRUPT_TIMER0  4
#define HAL_INTERRUPT_TIMER1  5
#define HAL_INTERRUPT_UART0   6
#define HAL_INTERRUPT_UART1   7
#define HAL_INTERRUPT_PWM0    8
#define HAL_INTERRUPT_I2C0    9
#define HAL_INTERRUPT_SPI0    10
#define HAL_INTERRUPT_SPI1    11
#define HAL_INTERRUPT_PLL     12
#define HAL_INTERRUPT_RTCDEV  13	
#define HAL_INTERRUPT_EINT0   14
#define HAL_INTERRUPT_EINT1   15
#define HAL_INTERRUPT_EINT2   16
#define HAL_INTERRUPT_EINT3   17
#define HAL_INTERRUPT_AD      18 
#define HAL_INTERRUPT_I2C1    19

#define HAL_INTERRUPT_UART2   28
#define HAL_INTERRUPT_UART3   29
#define HAL_INTERRUPT_I2C2    30

#define HAL_ISR_MIN           0
#define HAL_ISR_MAX           (31)

#define HAL_ISR_COUNT         (HAL_ISR_MAX+1)

//The vector used by the Real time clock
#define HAL_INTERRUPT_RTC     HAL_INTERRUPT_TIMER0

#endif /* HAL_INTS_H */
